WebBrowser (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class WebBrowser

    java.lang.Object
      com.bbn.openmap.util.WebBrowser

Direct Known Subclasses:
  BrowserLauncher2WebBrowser

    public abstract class WebBrowser

extends java.lang.Object

WebBrower - handles the WebBrowser process on behalf of OM. This class should be extended and implemented fully to handle browser requests as you like. You can use BrowserLauncher2 if you like.

Constructor Summary
`WebBrowser()`

Method Summary
`abstract void` | `launch(java.lang.String urlString)` Creates a new web browser process, or points the current one to the url argument.
`void` | `setInfoDelegator(InfoDisplayListener info)`
`void` | `writeAndLaunch(java.lang.String text)` Writes out temporary text file, and creates a new web browser process or points the current one at the file.
`protected java.lang.String` | `writeFileAndGenerateURL(java.lang.String text)` Write temporary file to temporary directory, and generate URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebBrowser

    public WebBrowser()

Method Detail

### writeFileAndGenerateURL

    protected java.lang.String writeFileAndGenerateURL(java.lang.String text)

  Write temporary file to temporary directory, and generate URL.

  Parameters:
    `text` - text String
  Returns:
    String file URL

### setInfoDelegator

    public void setInfoDelegator(InfoDisplayListener info)

### launch

    public abstract void launch(java.lang.String urlString)

  Creates a new web browser process, or points the current one to the url argument.

  Parameters:
    `urlString` - URL

### writeAndLaunch

    public void writeAndLaunch(java.lang.String text)

  Writes out temporary text file, and creates a new web browser process or points the current one at the file.

  Parameters:
    `text` - String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details